@import 'src/components/rem';

.deduction_list_header {
    display: flex;
    flex-flow: row nowrap;
    justify-content: space-between;
    padding: rem(8px) rem(24px) rem(8px) rem(32px);
    margin: 0 ;
    align-items: center;
    min-height: rem(56px);
    box-shadow: inset 0 rem(-1px) 0 var(--color-gray);
    background: var(--color-white);
    z-index: 100;
    position: sticky;
    top: rem(72px);
    @media screen and (max-width: 768px){
        padding: rem(8px) rem(24px) rem(8px) rem(24px);
    }
    .refreshing {
        display: flex;
        align-items: center;
        justify-content: left;
    }
}

.buttonsWrapper {
    width: 100%;
    display: flex;
    justify-content: space-between;
    flex-flow: row nowrap;
    margin-left: rem(16px);
}

.buttons {
    display: flex;
    align-items: center;

    & > *{
        margin-left: rem(8px);
    }
}

.state{
    display: flex;
    flex-flow: row nowrap;
}

.label{
    margin-left: rem(8px);
    white-space: nowrap;
}

@media screen and (max-width: 768px) {
    .deduction_list_header {
        min-height: rem(42px);
    }

    .label {
        white-space: normal;
    }

    .buttonsWrapper {
        position: fixed;
        left: 0;
        right: 0;
        bottom: 0;

        padding: rem(16px);
        box-shadow: inset 0 1px 0 var(--color-gray);
        background-color: var(--color-white);
        margin-left: 0;
    }
}
